/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef _INTERFERE_H
#define _INTERFERE_H

#include <X11/Intrinsic.h>

/*
 * Setup the initial graphics state.
 */
void initGraphics (void);

/*
 * Create and show the gl drawing area.
 */
Widget initRenderingArea (Widget parent);

/*
 * Make the rendering context current.
 */
void setCurrentRenderingContext (Display * display);

/*
 * Render the scene.
 */
void drawScene (void);

/*
 * Get the visual info for the shell widget.
 */
XVisualInfo * getVisualInfo (Display * display);

/*
 * Show the current contents of the back buffer.
 */
void showCurrent (void);

extern int sten_size;
extern Boolean do_cap;

#endif
